Skip to main content
`Ctrl`+`K`

# MatDenseHIPRestoreArray

Restore access to the HIP buffer inside a `MATDENSEHIP` matrix previously obtained with `MatDenseHIPGetArray()`.

## Synopsis

    PetscErrorCode MatDenseHIPRestoreArray(Mat A, PetscScalar **a)

Not Collective

## Input Parameters

- A - the matrix

- a - the GPU array in column major order

## See Also

`MATDENSEHIP`, `MatDenseHIPGetArray()`, `MatDenseHIPRestoreArrayWrite()`, `MatDenseHIPGetArrayWrite()`, `MatDenseHIPRestoreArrayRead()`, `MatDenseHIPGetArrayRead()`

## Level

developer

## Location

src/mat/impls/dense/mpi/cupm/hip/matmpidensehip.hip.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages